diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-pss-ff-mac-scheduler.cc ns-3.42/src/lte/test/lte-test-pss-ff-mac-scheduler.cc
--- ns-3.41/src/lte/test/lte-test-pss-ff-mac-scheduler.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-pss-ff-mac-scheduler.cc	2024-05-29 15:29:47.124073500 -0700
@@ -63,7 +63,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestPssFfMacScheduler");
 
 LenaTestPssFfMacSchedulerSuite::LenaTestPssFfMacSchedulerSuite()
-    : TestSuite("lte-pss-ff-mac-scheduler", SYSTEM)
+    : TestSuite("lte-pss-ff-mac-scheduler", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestPssFfMacSchedulerSuite");
 
@@ -93,11 +93,11 @@
     //  6 users -> 4 PRB at Itbs 26 -> 373 -> 373000 > 232000 -> throughput = 232000 bytes/sec
     //  12 users -> 2 PRB at Itbs 26 -> 185 -> 185000 < 232000 -> throughput = 185000 bytes/sec
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(1, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(3, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(6, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // AddTestCase (new LenaPssFfMacSchedulerTestCase1 (12,0,183000,185000,200,1,errorModel));//
     // simulation time = 1.5, otherwise, ul test will fail
@@ -120,11 +120,11 @@
     // 12 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/12 UE/TTI  -> 62000 < 232000 -> throughput =
     // 62000  bytes/sec
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(1, 4800, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(3, 4800, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(6, 4800, 230500, 125000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaPssFfMacSchedulerTestCase1 (12,4800,115250,62000,200,1,errorModel)); //
     // simulation time = 1.5, otherwise, ul test will fail
 
@@ -147,11 +147,11 @@
     // 12 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/12 UE/TTI -> 48667 < 232000 -> throughput =
     // 48667 bytes/sec
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(1, 6000, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(3, 6000, 232000, 201000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(6, 6000, 198500, 97000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaPssFfMacSchedulerTestCase1 (12,6000,99250,48667,200,1, errorModel)); //
     // simulation time = 1.5, otherwise, ul test will fail
 
@@ -173,18 +173,18 @@
     // 12 users -> 3 PRB at Itbs 8 -> 49 bytes * 8/12 UE/TTI -> 32667 < 232000 -> throughput = 32667
     // bytes/sec
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(1, 10000, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(3, 10000, 232000, 137000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(6, 10000, 129166, 67000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaPssFfMacSchedulerTestCase1 (12,10000,64583,32667,200,1,errorModel));//
     // simulation time = 1.5, otherwise, ul test will fail
 
     // DOWNLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     // UPLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     AddTestCase(new LenaPssFfMacSchedulerTestCase1(1, 100000, 0, 0, 200, 1, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test Case 2: homogeneous flow test in PSS (different distance)
     // Traffic1 info
@@ -209,7 +209,7 @@
     estThrPssDl1.push_back(132000); // User 2 estimated TTI throughput from PSS
     estThrPssDl1.push_back(132000); // User 3 estimated TTI throughput from PSS
     AddTestCase(new LenaPssFfMacSchedulerTestCase2(dist1, estThrPssDl1, packetSize1, 1, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Traffic2 info
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
@@ -234,7 +234,7 @@
     estThrPssDl2.push_back(230000); // User 2 estimated TTI throughput from PSS
     estThrPssDl2.push_back(230000); // User 3 estimated TTI throughput from PSS
     AddTestCase(new LenaPssFfMacSchedulerTestCase2(dist2, estThrPssDl2, packetSize2, 1, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test Case 3: heterogeneous flow test in PSS
     //   UDP traffic: payload size = [100,200,300] bytes, interval = 1 ms
@@ -256,7 +256,7 @@
     estThrPssDl3.push_back(232000); // User 1 estimated TTI throughput from PSS
     estThrPssDl3.push_back(332000); // User 2 estimated TTI throughput from PSS
     AddTestCase(new LenaPssFfMacSchedulerTestCase2(dist3, estThrPssDl3, packetSize3, 1, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-radio-link-failure.cc ns-3.42/src/lte/test/lte-test-radio-link-failure.cc
--- ns-3.41/src/lte/test/lte-test-radio-link-failure.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-radio-link-failure.cc	2024-05-29 15:29:47.124073500 -0700
@@ -46,7 +46,7 @@
  * Test Suite
  */
 LteRadioLinkFailureTestSuite::LteRadioLinkFailureTestSuite()
-    : TestSuite("lte-radio-link-failure", SYSTEM)
+    : TestSuite("lte-radio-link-failure", Type::SYSTEM)
 {
     std::vector<Vector> uePositionList;
     std::vector<Vector> enbPositionList;
@@ -73,7 +73,7 @@
                                                 enbPositionList,
                                                 ueJumpAwayPosition,
                                                 checkConnectedList),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // One eNB: Real RRC PROTOCOL
     AddTestCase(new LteRadioLinkFailureTestCase(1,
@@ -84,7 +84,7 @@
                                                 enbPositionList,
                                                 ueJumpAwayPosition,
                                                 checkConnectedList),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Two eNBs: Ideal RRC PROTOCOL
 
@@ -99,7 +99,7 @@
                                                 enbPositionList,
                                                 ueJumpAwayPosition,
                                                 checkConnectedList),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Two eNBs: Ideal RRC PROTOCOL
     AddTestCase(new LteRadioLinkFailureTestCase(2,
@@ -110,7 +110,7 @@
                                                 enbPositionList,
                                                 ueJumpAwayPosition,
                                                 checkConnectedList),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
 } // end of LteRadioLinkFailureTestSuite::LteRadioLinkFailureTestSuite ()
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-rlc-am-e2e.cc ns-3.42/src/lte/test/lte-test-rlc-am-e2e.cc
--- ns-3.41/src/lte/test/lte-test-rlc-am-e2e.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-rlc-am-e2e.cc	2024-05-29 15:29:47.124073500 -0700
@@ -41,7 +41,7 @@
 NS_LOG_COMPONENT_DEFINE("LteRlcAmE2eTest");
 
 LteRlcAmE2eTestSuite::LteRlcAmE2eTestSuite()
-    : TestSuite("lte-rlc-am-e2e", SYSTEM)
+    : TestSuite("lte-rlc-am-e2e", Type::SYSTEM)
 {
     // NS_LOG_INFO ("Creating LteRlcAmE2eTestSuite");
 
@@ -77,18 +77,18 @@
                     break;
                 }
 
-                TestCase::TestDuration testDuration;
+                TestCase::Duration testDuration;
                 if (l == 1 && s == 0)
                 {
-                    testDuration = TestCase::QUICK;
+                    testDuration = TestCase::Duration::QUICK;
                 }
                 else if (s <= 4)
                 {
-                    testDuration = TestCase::EXTENSIVE;
+                    testDuration = TestCase::Duration::EXTENSIVE;
                 }
                 else
                 {
-                    testDuration = TestCase::TAKES_FOREVER;
+                    testDuration = TestCase::Duration::TAKES_FOREVER;
                 }
                 AddTestCase(new LteRlcAmE2eTestCase(name.str(), runs[s], losses[l], bulkSduArrival),
                             testDuration);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-rlc-am-transmitter.cc ns-3.42/src/lte/test/lte-test-rlc-am-transmitter.cc
--- ns-3.41/src/lte/test/lte-test-rlc-am-transmitter.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-rlc-am-transmitter.cc	2024-05-29 15:29:47.124073500 -0700
@@ -35,16 +35,19 @@
  */
 
 LteRlcAmTransmitterTestSuite::LteRlcAmTransmitterTestSuite()
-    : TestSuite("lte-rlc-am-transmitter", SYSTEM)
+    : TestSuite("lte-rlc-am-transmitter", Type::SYSTEM)
 {
     // LogLevel logLevel = (LogLevel)(LOG_PREFIX_FUNC | LOG_PREFIX_TIME | LOG_LEVEL_ALL);
     // LogComponentEnable ("LteRlcAmTransmitterTest", logLevel);
 
-    AddTestCase(new LteRlcAmTransmitterOneSduTestCase("One SDU, one PDU"), TestCase::QUICK);
-    AddTestCase(new LteRlcAmTransmitterSegmentationTestCase("Segmentation"), TestCase::QUICK);
-    AddTestCase(new LteRlcAmTransmitterConcatenationTestCase("Concatenation"), TestCase::QUICK);
+    AddTestCase(new LteRlcAmTransmitterOneSduTestCase("One SDU, one PDU"),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteRlcAmTransmitterSegmentationTestCase("Segmentation"),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteRlcAmTransmitterConcatenationTestCase("Concatenation"),
+                TestCase::Duration::QUICK);
     AddTestCase(new LteRlcAmTransmitterReportBufferStatusTestCase("ReportBufferStatus primitive"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-rlc-um-e2e.cc ns-3.42/src/lte/test/lte-test-rlc-um-e2e.cc
--- ns-3.41/src/lte/test/lte-test-rlc-um-e2e.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-rlc-um-e2e.cc	2024-05-29 15:29:47.124073500 -0700
@@ -48,7 +48,7 @@
  */
 
 LteRlcUmE2eTestSuite::LteRlcUmE2eTestSuite()
-    : TestSuite("lte-rlc-um-e2e", SYSTEM)
+    : TestSuite("lte-rlc-um-e2e", Type::SYSTEM)
 {
     // NS_LOG_INFO ("Creating LteRlcUmE2eTestSuite");
 
@@ -61,14 +61,14 @@
         {
             std::ostringstream name;
             name << " Losses = " << losses[l] << "%. Seed = " << seeds[s];
-            TestCase::TestDuration testDuration;
+            TestCase::Duration testDuration;
             if (l == 1 && s == 0)
             {
-                testDuration = TestCase::QUICK;
+                testDuration = TestCase::Duration::QUICK;
             }
             else
             {
-                testDuration = TestCase::EXTENSIVE;
+                testDuration = TestCase::Duration::EXTENSIVE;
             }
             AddTestCase(new LteRlcUmE2eTestCase(name.str(), seeds[s], losses[l]), testDuration);
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-rlc-um-transmitter.cc ns-3.42/src/lte/test/lte-test-rlc-um-transmitter.cc
--- ns-3.41/src/lte/test/lte-test-rlc-um-transmitter.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-rlc-um-transmitter.cc	2024-05-29 15:29:47.124073500 -0700
@@ -35,18 +35,21 @@
  */
 
 LteRlcUmTransmitterTestSuite::LteRlcUmTransmitterTestSuite()
-    : TestSuite("lte-rlc-um-transmitter", SYSTEM)
+    : TestSuite("lte-rlc-um-transmitter", Type::SYSTEM)
 {
     // LogLevel logLevel = (LogLevel)(LOG_PREFIX_FUNC | LOG_PREFIX_TIME | LOG_LEVEL_ALL);
     // LogComponentEnable ("LteRlcUmTransmitterTest", logLevel);
 
     // NS_LOG_INFO ("Creating LteRlcUmTransmitterTestSuite");
 
-    AddTestCase(new LteRlcUmTransmitterOneSduTestCase("One SDU, one PDU"), TestCase::QUICK);
-    AddTestCase(new LteRlcUmTransmitterSegmentationTestCase("Segmentation"), TestCase::QUICK);
-    AddTestCase(new LteRlcUmTransmitterConcatenationTestCase("Concatenation"), TestCase::QUICK);
+    AddTestCase(new LteRlcUmTransmitterOneSduTestCase("One SDU, one PDU"),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteRlcUmTransmitterSegmentationTestCase("Segmentation"),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteRlcUmTransmitterConcatenationTestCase("Concatenation"),
+                TestCase::Duration::QUICK);
     AddTestCase(new LteRlcUmTransmitterReportBufferStatusTestCase("ReportBufferStatus primitive"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-rr-ff-mac-scheduler.cc ns-3.42/src/lte/test/lte-test-rr-ff-mac-scheduler.cc
--- ns-3.41/src/lte/test/lte-test-rr-ff-mac-scheduler.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-rr-ff-mac-scheduler.cc	2024-05-29 15:29:47.124073500 -0700
@@ -53,7 +53,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestRrFfMacScheduler");
 
 LenaTestRrFfMacSchedulerSuite::LenaTestRrFfMacSchedulerSuite()
-    : TestSuite("lte-rr-ff-mac-scheduler", SYSTEM)
+    : TestSuite("lte-rr-ff-mac-scheduler", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaRrFfMacSchedulerTestCase");
 
@@ -75,17 +75,17 @@
     // 12 users -> 3 PRB at Itbs 26 -> 277 bytes * 8/12 UE/TTI -> 184670 bytes/sec
     // 15 users -> 3 PRB at Itbs 26 -> 277 bytes * 8/15 UE/TTI -> 147730 bytes/sec
     AddTestCase(new LenaRrFfMacSchedulerTestCase(1, 0, 2196000, 2292000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(3, 0, 749000, 749000, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(6, 0, 373000, 373000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(9, 0, 185000, 246220, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(12, 0, 185000, 184670, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(15, 0, 148000, 147730, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 4800 -> MCS 22 -> Itbs 20 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 20 -> 1383 -> 1383000 bytes/sec
@@ -103,17 +103,17 @@
     // 12 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/12 UE/TTI  -> 62000 bytes/sec
     // 15 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/15 UE/TTI  -> 49600 bytes/sec
     AddTestCase(new LenaRrFfMacSchedulerTestCase(1, 4800, 1383000, 807000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(3, 4800, 469000, 253000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(6, 4800, 233000, 125000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(9, 4800, 113000, 82667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(12, 4800, 113000, 62000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(15, 4800, 90400, 49600, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 6000 -> MCS 20 -> Itbs 18 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 15 -> 1191 -> 1191000 bytes/sec
@@ -130,17 +130,17 @@
     // 12 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/12 UE/TTI -> 48667 bytes/sec
     // 15 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/15 UE/TTI -> 38993 bytes/sec
     AddTestCase(new LenaRrFfMacSchedulerTestCase(1, 6000, 1191000, 621000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(3, 6000, 389000, 201000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(6, 6000, 193000, 97000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(9, 6000, 97000, 64889, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(12, 6000, 97000, 48667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(15, 6000, 77600, 38993, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 20000 -> MCS 8 -> Itbs 8 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 8 -> 421 -> 421000 bytes/sec
@@ -158,21 +158,22 @@
     // 12 users -> 3 PRB at Itbs 2 -> 18 bytes * 8/12 UE/TTI -> 12000 bytes/sec
     // 15 users -> 3 PRB at Itbs 2 -> 18 bytes * 8/15 UE/TTI -> 9600 bytes/sec
     AddTestCase(new LenaRrFfMacSchedulerTestCase(1, 20000, 421000, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(3, 20000, 137000, 41000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(6, 20000, 67000, 22000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(9, 20000, 32000, 16000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(12, 20000, 32000, 12000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaRrFfMacSchedulerTestCase(15, 20000, 25600, 9600, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     // UPLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
-    AddTestCase(new LenaRrFfMacSchedulerTestCase(1, 100000, 0, 0, errorModel), TestCase::QUICK);
+    AddTestCase(new LenaRrFfMacSchedulerTestCase(1, 100000, 0, 0, errorModel),
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-secondary-cell-handover.cc ns-3.42/src/lte/test/lte-test-secondary-cell-handover.cc
--- ns-3.41/src/lte/test/lte-test-secondary-cell-handover.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-secondary-cell-handover.cc	2024-05-29 15:29:47.124073500 -0700
@@ -205,10 +205,10 @@
 };
 
 LteSecondaryCellHandoverTestSuite::LteSecondaryCellHandoverTestSuite()
-    : TestSuite{"lte-secondary-cell-handover", SYSTEM}
+    : TestSuite{"lte-secondary-cell-handover", Type::SYSTEM}
 {
-    AddTestCase(new LteSecondaryCellHandoverTestCase("Ideal RRC", true), TestCase::QUICK);
-    AddTestCase(new LteSecondaryCellHandoverTestCase("Real RRC", false), TestCase::QUICK);
+    AddTestCase(new LteSecondaryCellHandoverTestCase("Ideal RRC", true), TestCase::Duration::QUICK);
+    AddTestCase(new LteSecondaryCellHandoverTestCase("Real RRC", false), TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-secondary-cell-selection.cc ns-3.42/src/lte/test/lte-test-secondary-cell-selection.cc
--- ns-3.41/src/lte/test/lte-test-secondary-cell-selection.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-secondary-cell-selection.cc	2024-05-29 15:29:47.124073500 -0700
@@ -49,21 +49,21 @@
  */
 
 LteSecondaryCellSelectionTestSuite::LteSecondaryCellSelectionTestSuite()
-    : TestSuite("lte-secondary-cell-selection", SYSTEM)
+    : TestSuite("lte-secondary-cell-selection", Type::SYSTEM)
 {
     // REAL RRC PROTOCOL, either 2 or 4 UEs connecting to 2 or 4 component carriers
 
     AddTestCase(new LteSecondaryCellSelectionTestCase("EPC, real RRC, RngRun=1", false, 1U, 2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteSecondaryCellSelectionTestCase("EPC, real RRC, RngRun=1", false, 1U, 4),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // IDEAL RRC PROTOCOL, either 2 or 4 UEs connecting to 2 or 4 component carriers
 
     AddTestCase(new LteSecondaryCellSelectionTestCase("EPC, ideal RRC, RngRun=1", true, 1U, 2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteSecondaryCellSelectionTestCase("EPC, ideal RRC, RngRun=1", true, 1U, 4),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
 } // end of LteSecondaryCellSelectionTestSuite::LteSecondaryCellSelectionTestSuite ()
 
